## debian-reference 2.46

=== Makefile ===
#######################################################################
# Build debian-reference (v2)
# vim: set ts=8:
# See README.source for explanation
#######################################################################
### basic parameters (build condition dependent)                    ALL
#######################################################################
# Build with web access for local build
# BUILD_MODE default value 
BUILD_MODE_LOCAL := local
ifndef BUILD_MODE
BUILD_MODE	:= $(BUILD_MODE_LOCAL)
endif

# Please note package build and ddp script overides $(PUBLISHDIR)
# if $(PUBLISHDIR) is not set, set it here for testing
PUBLISHDIR	:= $(CURDIR)/html

#######################################################################
### basic parameters (build condition independent)                  ALL
#######################################################################
# base file name excluding file extension
DOCNAME :=	debian-reference
# Directories (no trailing slash)
PXSLT	:=	xslt
PBIN	:=	bin
ADOC	:=	asciidoc
PODOC	:=	po4a
IMAGES	:=	/usr/share/xml/docbook/stylesheet/nwalsh/images
# Program name and option
XP	:=	xsltproc --nonet --novalid --xinclude
#XL	:=	xmllint --nonet --noout --postvalid --xinclude
# The threshold should be 80 if translation is completed.
THRESHOLD:=	0
TRANSLATE:=	po4a-translate  -M utf-8          --format docbook --keep $(THRESHOLD) -v 
GETTEXT	:=	po4a-gettextize -M utf-8 -L utf-8 --format docbook
UPDATEPO:=	msgmerge --update --previous --no-wrap
# # note: the URL is used as identifier, no HTTP is used!
# DOCBOOK_XSL=http://docbook.sourceforge.net/release/xsl/current
VERBOSE	:=
# Debian packge archive URL
#DEBM	:=	http://ftp.us.debian.org/debian/dists
DEBM	:=	http://ftp.jp.debian.org/debian/dists
# Debian popcon data source URL
UPOPC	:=	http://popcon.debian.org/all-popcon-results.txt.gz
# Debian release name and arch used
CODE	:=	sid
ARCH	:=	amd64
UDEBA	:=	$(DEBM)/$(CODE)
UDEBB	:=	$(DEBM)/experimental
# language defaults
LANGALL	:=	en ja fr it es de pt pt-br pl zh-tw zh-cn
LANGPO	:=	   ja fr it       pt
LANGNEW	:=
LANGSGML =	$(filter-out en $(LANGPO), $(LANGALL))

# remotely fetched data cached locally but removed for package
DATASRCS:=      all-popcon-results.txt packages.txt packages.bkup.txt
# AsciiDoc source file names in $(ADOC) directories for local update
ASC_NM	:=	00_preface.txt 01_tutorial.txt 02_package.txt \
		03_sysinit.txt 04_auth.txt 05_network.txt 06_netapp.txt \
		07_xwindow.txt 08_i18nl10n.txt 09_systips.txt 10_datamngt.txt \
		11_dataconv.txt 12_program.txt 99_appendix.txt \
		copyright.txt header1.txt header2.txt $(DOCNAME).txt
# source asciidoc files (local updates of XML source files requires these under lenny)
SRC_ASC :=	$(addprefix $(ADOC)/, $(ASC_NM))


# source XML inclusion files
SRC_ENT		:=	datadatepop.ent datadatesize.ent popcon.ent pkgsize.ent
# source PO files (build prcess requires these)
SRC_PO	:=	$(addsuffix .po, $(addprefix  $(PODOC)/$(DOCNAME)., $(LANGPO)))
# pristine source XML / PO files (package build requires these)
SRC_XML	 =	$(DOCNAME).raw.xml $(SRC_ENT) $(SRC_PO)

#######################################################################
# Build all sources to html and text pages (Default target)     ALL/DEB
#######################################################################
.PHONY: all package
# Simpler target for easy debug.
all: html css

# Target for package building
package: html txt css
	$(MAKE) -C sgml all PUBLISHDIR=$(PUBLISHDIR) "LANG_ALL=$(LANGSGML)"

#######################################################################
# Build all sources to html and text pages for web (DDP on alioth)  DDP
#######################################################################
.PHONY: publish

# $(PUBLISHDIR) is set to be: /org/www.debian.org/www/doc/manuals for master-www
publish:
	-mkdir -p $(PUBLISHDIR)/debian-reference
	-rm -f $(PUBLISHDIR)/reference
	# For www.debian.org, relative symlink only
	-ln -sf debian-reference $(PUBLISHDIR)/reference
	$(MAKE) html txt css "PUBLISHDIR=$(PUBLISHDIR)/debian-reference"
	$(MAKE) -C sgml all  "PUBLISHDIR=$(PUBLISHDIR)/debian-reference" "LANG_ALL=$(LANGSGML)"

#######################################################################
# Clean targets                                                     ALL
#######################################################################
.PHONY: clean packageclean distclean

clean:
	-rm -f *.swp *~ *.tmp
	-rm -f $(PODOC)/*~ $(ADOC)/*~
	-rm -rf html
	-rm -f $(addsuffix .xml,      $(addprefix  $(DOCNAME)., $(LANGPO)))
	-rm -f $(DOCNAME).en.xml
	-rm -f $(DOCNAME).en.xmlt header.txt
	$(MAKE) -C sgml clean "LANG_ALL=$(LANGSGML)" PUBLISHDIR=$(PUBLISHDIR)

# Run distclean only for regenerating all locally cached data from remote
#                          (and all raw XML from asciidoc for lenny@local)
packageclean: clean
	# We should clean these local cached data for debian package.
	-rm -f all-popcon-results.txt packages.txt packages.bkup.txt pkg.lst

distclean: packageclean
ifeq ($(BUILD_MODE),$(BUILD_MODE_LOCAL))
	# If not from debian/rules but in local mode, 
	# remove remotely generated files to refresh.
	-rm -f $(DOCNAME).raw.xml
	-rm -f $(SRC_ENT)
endif


#########################################################################
# Local raw XML file is created from the local lenny version of asciidoc
# when building locally
#########################################################################
#=======================================================================#
ifeq ($(BUILD_MODE),$(BUILD_MODE_LOCAL))
#=======================================================================#

.SECONDARY: $(SRC_XML)
#    You can prevent automatic deletion of an intermediate file by
#    marking it as a "secondary" file.  To do this, list it as a
#    prerequisite of the special target `.SECONDARY'.  When a file is
#    secondary, `make' will not create the file merely because it does not
#    already exist, but `make' does not automatically delete the file.
#    Marking a file as secondary also marks it as intermediate.

# -----------------------------------------------------------------------
# create a raw XML source from asciidoc source
# Regression caused by asciidoc 8.4.1 should be addressed by 
# "-a no-inline-literal" but .... this does not work.  
# So I put lenny version in this source tree.
$(DOCNAME).raw.xml: $(SRC_ASC)
	bin/asciidoc -a 'newline=\n' -o - $(ADOC)/$(DOCNAME).txt |\
	sed -e "/<\/authorinitials>/r $(ADOC)/copyright.txt" |\
	xmllint --format -  |\
	sed -f bin/replace > $@
#=======================================================================#
else
#=======================================================================#
# After squeeze, $(DOCNAME).raw.xml is pristine source and should not be rebuild.
# To avoid dependency issues due to "$(DOCNAME).%.xml:", we need this target:
$(DOCNAME).raw.xml:
	echo "BUILD_MODE = \"$(BUILD_MODE)\""
	echo "You need to run \"make\" in local environment to"
	echo "create $(DOCNAME).raw.xml etc. as pristine source."
	exit 1
#=======================================================================#
endif
#=======================================================================#

#########################################################################
# Local cached data created from remote data by local updates       LOCAL
#########################################################################
# datadate{pop|size}.ent are generated as secondary side effects
# These files are not part of the packaged source

all-popcon-results.txt:
	wget -O - $(UPOPC) | zcat - > $@
	echo "<!ENTITY pop-date \"$(shell date -u +'%F %T %Z')\">" > datadatepop.ent

packages.txt:
	wget -O - $(UDEBA)/main/binary-$(ARCH)/Packages.bz2      | bzcat - > packages.main.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.main.tmp > packages.main
	rm packages.main.tmp
	wget -O - $(UDEBA)/contrib/binary-$(ARCH)/Packages.bz2   | bzcat - > packages.contrib.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.contrib.tmp > packages.contrib
	rm packages.contrib.tmp
	wget -O - $(UDEBA)/non-free/binary-$(ARCH)/Packages.bz2  | bzcat - > packages.non-free.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.non-free.tmp > packages.non-free
	rm packages.non-free.tmp
	cat packages.main packages.contrib packages.non-free >$@
	#
	echo "<!ENTITY all-packages \"$$(grep -e '^Package:' packages.txt | wc -l)\">"			>  datadatesize.ent
	echo "<!ENTITY main-packages \"$$( grep -e '^Package:' packages.main | wc -l)\">"		>> datadatesize.ent
	echo "<!ENTITY contrib-packages \"$$(grep -e '^Package:' packages.contrib | wc -l)\">"		>> datadatesize.ent
	echo "<!ENTITY non-free-packages \"$$(grep -e '^Package:' packages.non-free | wc -l)\">"	>> datadatesize.ent
	echo "<!ENTITY pkgsize-date \"$(shell date -u +'%F %T %Z')\">"					>> datadatesize.ent
	rm packages.main packages.contrib packages.non-free

packages.bkup.txt:
	wget -O - $(UDEBB)/main/binary-$(ARCH)/Packages.bz2      | bzcat - > packages.bkup.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.bkup.tmp > $@
	rm packages.bkup.tmp

pkg.lst: $(DOCNAME).raw.xml
	xsltproc --novalid $(VERBOSE) $(PXSLT)/pkg.xsl $< > $@

#########################################################################
# Local base data created from cached data by local updates         LOCAL
#########################################################################
# These $(SRC_ENT) files are part of the packaged prestine source.
# These $(SRC_ENT) need to be rebuild if $(DOCNAME).raw.xml is updated.
# But these $(SRC_ENT) do not depend on $(DOCNAME).raw.xml intentionally to 
# avoid long build tine.  Beakage due to these are rare, minor and pedictable.
# To rebuild these $(SRC_ENT), do "make distclean" first.

.PHONY: xml
xml: $(DOCNAME).raw.xml $(SRC_ENT)

datadatepop.ent:
	$(MAKE) all-popcon-results.txt

datadatesize.ent:
	$(MAKE) packages.txt

popcon.ent:
	if ! [ -f $(DOCNAME).raw.xml ]; then $(MAKE) $(DOCNAME).raw.xml ; fi
	if ! [ -f all-popcon-results.txt ]; then $(MAKE) all-popcon-results.txt ; fi
	if ! [ -f pkg.lst ] || [ $(DOCNAME).raw.xml -nt pkg.lst ]; then $(MAKE) pkg.lst ; fi
	echo "<!ENTITY pop-submissions \"$(shell sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt)\">"	>  $@
	echo "<!ENTITY pop-architectures \"$(shell grep -e '^Architecture:' all-popcon-results.txt | wc -l)\">"			>> $@
	echo "<!ENTITY pop-packages \"$(shell grep -e '^Package:' all-popcon-results.txt | wc -l)\">"				>> $@
	TOTAL=$(shell sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt) ;\
	grep -e '^Package:' all-popcon-results.txt | grep -f pkg.lst | $(PBIN)/popconent $$TOTAL				>> $@

pkgsize.ent:
	if ! [ -f $(DOCNAME).raw.xml ]; then $(MAKE) $(DOCNAME).raw.xml ; fi
	if ! [ -f packages.txt ]; then $(MAKE) packages.txt ; fi
	if ! [ -f packages.bkup.txt ]; then $(MAKE) packages.bkup.txt ; fi
	if ! [ -f pkg.lst ] || [ $(DOCNAME).raw.xml -nt pkg.lst ]; then $(MAKE) pkg.lst ; fi
	$(PBIN)/sizeent packages.txt packages.bkup.txt < pkg.lst	> $@

#########################################################################
# XML file operations                                                 ALL
#########################################################################
# Create final XML sources

common.ent: $(SRC_XML)
	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  $@
	echo "<!ENTITY arch \"$(ARCH)\">"				>> $@
	echo "<!ENTITY codename-stable   \"squeeze\">"			>> $@
	echo "<!ENTITY codename-testing  \"wheezy\">"			>> $@
	echo "<!ENTITY codename-nexttesting  \"wheezy+1\">"		>> $@
	echo "<!ENTITY codename-unstable \"sid\">"			>> $@

# Update URL list header from $(DOCNAME).raw.xml
header.txt: $(ADOC)/header1.txt $(DOCNAME).raw.xml $(ADOC)/header2.txt
	cat $(ADOC)/header1.txt >  $@
	xsltproc --novalid $(VERBOSE) $(PXSLT)/urls.xsl $(DOCNAME).raw.xml | sort | uniq |\
	sed -e "s/&/\&amp;/g"   >> $@
	cat $(ADOC)/header2.txt >> $@

=== sgml/Makefile ===
#
# New Makefile Template (Osamu Aoki)
#
#  Build html(multi/single file) and single file txt formats.
#
# ------------------------------------------------------------------- #
#                          WARNING                                    #
#         Use with caution, aimed at Lenny system                     #
# ------------------------------------------------------------------- #

.SUFFIXES:
# =================================================================== #
#                 Default configuration part: Customize               #
# =================================================================== #

# The directory in which this makefile resides must also contain a file
# called <directoryname>.[<language>.]sgml, which is the top-level file
# for the manual in this directory.

# Basename for language-independent XML/SGML tar-ball name.
#MANUAL := $(notdir $(CURDIR))
MANUAL		:= debian-reference
MANUAL0		:= dr1
LANG_ALL	:= fr it es de pt-br pl zh-tw zh-cn
PUBLISHDIR	:= ../html
HTML_PAGES 	:= ap-appendix ch-edit ch-gateway ch-gnupg ch-install \
		ch-kernel ch-package ch-preface ch-program ch-support \
		ch-system ch-tips ch-tune ch-tutorial ch-vcs ch-woody \
		footnotes


# =================================================================== #
#                 Build rule part: SGML source                        #
# =================================================================== #
# SGML source files inherited from debian-reference (v1)
# (Already converted to UTF-8)
ENTS	:= $(MANUAL0).ent
SRCS	:= $(foreach lang, $(LANG_ALL), $(MANUAL).$(lang).sgml) \
	     $(foreach lang, $(LANG_ALL), $(wildcard $(lang)/*.sgml)) \
	     $(ENTS)

SRCX	:= $(foreach lang, $(LANG_ALL), $(MANUAL).$(lang).sgml)
# List of html stamp files to be built
HTML	:= $(foreach lang,$(LANG_ALL),$(PUBLISHDIR)/index.$(lang).html) \
	$(foreach lang,$(LANG_ALL),$(PUBLISHDIR)/$(MANUAL).$(lang).html)
# List of txt to be built
TXT	:= $(foreach lang,$(LANG_ALL),$(PUBLISHDIR)/$(MANUAL).$(lang).txt)
# All target
TARGETS	:= $(HTML) $(TXT)
# Blacklist for failing build
BLACKLIST	:=
#BLACKLIST	:= $(MANUAL).ja.pdf

.PHONY:	all
all:    $(filter-out $(BLACKLIST), $(TARGETS))

# Build rule for debian-reference.??.sgml
$(MANUAL).%.sgml: $(MANUAL0).sgml
	sed -e "s/@@LANGS@@/$*/g" \
	    -e "s/@@DIRS@@/$*/g" \
	    -e "s/@@NAME@@/$(MANUAL)/g" \
	        $< > $(MANUAL).$*.sgml

#  Build rule for HTML (non-English)
$(PUBLISHDIR)/index.%.html: $(MANUAL).%.sgml $(SRCS)
	debiandoc2html $(BUILD_OPT) -l $*.utf-8 -C $<
	mkdir -p $(PUBLISHDIR)
	cp $(MANUAL).$*.html/* $(PUBLISHDIR)/
	rm -rf $(MANUAL).$*.html

$(PUBLISHDIR)/$(MANUAL).%.html: $(MANUAL).%.sgml $(SRCS)
	debiandoc2html $(BUILD_OPT) -1 -b $(MANUAL)-1.$* -l $*.utf-8 -C $<
	mkdir -p $(PUBLISHDIR)
	mv -f $(MANUAL)-1.$*.html/index.$*.html $(PUBLISHDIR)/$(MANUAL).$*.html
	rm -rf $(MANUAL)-1.$*.html

#  Build rule for TXT (non-English)
#  (UTF-8 compatibility of debiandoc2text is limitted) 
$(PUBLISHDIR)/$(MANUAL).%.txt: $(PUBLISHDIR)/$(MANUAL).%.html
	LC_ALL=en_US.UTF-8 w3m -dump -cols 65 -T text/html $(PUBLISHDIR)/$(MANUAL).$*.html >$@

#====[ validating SGML ]=======================================================
validate:
	set -x; for i in $(LANG_SGML); do $(MAKE) validate-$$i ; done

validate1-%: $(SRCS_SGML) $(MANUAL).%.ent 
	nsgmls -gues -wall $(MANUAL).$*.sgml

#====[ check all URLs ]========================================================
check-urls:
	for i in $(LANG_SGML); do $(MAKE) check-urls-$$i ; done

define CHECK_URLS # one argument $1: reference or quick-reference
# Bug: Woody's wget hangs during http://localhost:631 check 
	for file in $(1).$*.html/*.html; do \
	  sed 's|http://localhost:631/|Ignore this wrong URL/|g' $$file | \
	  wget --spider --non-verbose --force-html \
	       --base=$(1).$*.html/ -i - 2>&1 | \
          grep -v '^200 OK$$' | grep -v '^ *$$'; \
	done || true
endef

check-urls-%: $(MANUAL).%.html.stamp
	$(call CHECK_URLS,$(MANUAL))

#############################################################################
### Clean source tree                                                     ###
#############################################################################
#### Clean SGML build environment 
.PHONY: clean
clean:
	-rm  -f $(SRCX)
	-rm -f `find . -name "*~" -o -name "*.bak" -o -name "*.rej" -o -name "*.orig" -o -name ".#*"`
	-rm -f core

.PHONY: distclean
distclean: clean
	-rm  -f $(TARGETS)
	-rm  -rf $(PUBLISHDIR)

=== debian/changelog ===
debian-reference (2.46) stable; urgency=low

  * Updated Portguese translation by Américo Monteiro.
  * Fixed s/--get-selection/--get-selections/ etc. Closes: #612435
  * Reflected introduction of squeeze-updates suite which replaced
    Debian Volatile Service. Closes: #614224
  * Fixed URL for Debian Mirror Checker site. Closes: #614253

 -- Osamu Aoki <osamu@debian.org>  Wed, 23 Feb 2011 23:11:59 +0900

=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: w3m, xsltproc, docbook-xsl, docbook-xml, po4a, python, locales-all | locales, debiandoc-sgml, libxml2-utils
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/quick-reference
Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/quick-reference/
Homepage: http://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference-common
Architecture: all
Depends: ${misc:Depends}
Suggests: mc, vim, w3m | www-browser
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This provides menu functionality and other common files.

Package: debian-reference
Architecture: all
Depends: ${misc:Depends}, debian-reference-en
Recommends: debian-reference-fr, debian-reference-de, debian-reference-it, debian-reference-es, debian-reference-pt-br, debian-reference-pl, debian-reference-zh-tw, debian-reference-zh-cn, debian-reference-ja
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This installs all translations when "Recommends:" are installed.

Package: debian-reference-en
Architecture: all
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Suggests: doc-base, rutebook
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The English original version.

Package: debian-reference-fr
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-fr
Replaces: quick-reference-fr
Description: Debian system administration guide, French translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The French translation.

Package: debian-reference-it
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-it
Replaces: quick-reference-it
Description: Debian system administration guide, Italian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Italian translation.

Package: debian-reference-ja
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-ja
Replaces: quick-reference-ja
Description: Debian system administration guide, Japanese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Japanese translation.

Package: debian-reference-es
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-es
Replaces: quick-reference-es
Description: Debian system administration guide, Spanish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Spanish translation.

Package: debian-reference-de
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-de
Replaces: quick-reference-de
Description: Debian system administration guide, German translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The German translation.

Package: debian-reference-pt
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Portuguese (Portugal) translation.

Package: debian-reference-pt-br
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-pt-br
Replaces: quick-reference-pt-br
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Brazilian Portuguese translation.

Package: debian-reference-pl
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-pl
Replaces: quick-reference-pl
Description: Debian system administration guide, Polish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Polish translation.

Package: debian-reference-zh-tw
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-zh-tw
Replaces: quick-reference-zh-tw
Description: Debian system administration guide, Chinese(TW) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Traditional Chinese translation.

Package: debian-reference-zh-cn
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-zh-cn
Replaces: quick-reference-zh-cn
Description: Debian system administration guide, Chinese(CN) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Simplified Chinese translation.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for debian-reference
## ----------------------------------------------------------------------


## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1

## ----------------------------------------------------------------------
# Package building language choice
#
DOCNAME	:=	debian-reference
LANGALL	:=	en ja fr it es de pt pt-br pl zh-tw zh-cn
LANGPO	:=	   ja fr it       pt

## ----------------------------------------------------------------------
## Targets

%:
	dh $@

override_dh_auto_build:
	# Generate files for debhelper in debian/
	cd $(CURDIR)/debian/ ; \
	cp all.postinst-in     $(DOCNAME)-common.postinst ; \
	for xx in $(LANGALL) ; do \
	  cp all.postinst-in     $(DOCNAME)-$${xx}.postinst ; \
	  cp all.postrm-in       $(DOCNAME)-$${xx}.postrm ; \
	  case $$xx in \
	    en) LANGX="English" ;;  \
	    de) LANGX="German" ;;   \
	    fr) LANGX="French" ;;   \
	    fi) LANGX="Finnish" ;;  \
	    es) LANGX="Spanish" ;;  \
	    it) LANGX="Italian" ;;  \
	    ja) LANGX="Japanese" ;; \
	    pl) LANGX="Polish" ;; \
	    pt) LANGX="Portuguese (Portugal)" ;; \
	    pt-br) LANGX="Portuguese (Brazil)" ;; \
	    zh-tw) LANGX="Chinese (Traditional)" ;; \
	    zh-cn) LANGX="Chinese (Simplified)" ;; \
	    *) LANGX="$$x" ;; \
	  esac ; \
	  sed  -e "s/@@/$$xx/" < all.links-in  >$(DOCNAME)-$${xx}.links ; \
	  sed  -e "s/@@/$$xx/" < all.install-in  >$(DOCNAME)-$${xx}.install ; \
	  sed  -e "s/@@/$$xx/" -e "s/@LANG@/$$LANGX/" < all.doc-base-in  >$(DOCNAME)-$${xx}.doc-base ; \
	done
	dh_auto_build -- package "BUILD_MODE=none" "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)"

override_dh_auto_clean:
	# Clean files for debhelper in debian/
	-rm -f $(addsuffix .postinst, $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	-rm -f $(addsuffix .postrm,   $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	-rm -f $(addsuffix .links,    $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	-rm -f $(addsuffix .doc-base, $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	-rm -f $(addsuffix .install,  $(addprefix  debian/$(DOCNAME)-, $(LANGALL)))
	$(MAKE) packageclean "BUILD_MODE=none" "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)"

## debian-reference 2.47

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 ### basic parameters (build condition dependent)                    ALL
 #######################################################################
 # Build with web access for local build
-# BUILD_MODE default value 
+# BUILD_MODE default value (local|web|none) 
 BUILD_MODE_LOCAL := local
 ifndef BUILD_MODE
 BUILD_MODE	:= $(BUILD_MODE_LOCAL)
@@ -16,6 +16,11 @@
 # if $(PUBLISHDIR) is not set, set it here for testing
 PUBLISHDIR	:= $(CURDIR)/html
 
+# Change $(DRAFTMODE) from "yes" to "maybe" when this $(MANUAL) should go into
+# production mode
+#DRAFTMODE      := yes
+DRAFTMODE       := maybe
+export DRAFTMODE
 #######################################################################
 ### basic parameters (build condition independent)                  ALL
 #######################################################################
@@ -34,7 +39,9 @@
 THRESHOLD:=	0
 TRANSLATE:=	po4a-translate  -M utf-8          --format docbook --keep $(THRESHOLD) -v 
 GETTEXT	:=	po4a-gettextize -M utf-8 -L utf-8 --format docbook
-UPDATEPO:=	msgmerge --update --previous --no-wrap
+UPDATEPO:=	msgmerge --update --previous
+DBLATEX	:=	dblatex
+
 # # note: the URL is used as identifier, no HTTP is used!
 # DOCBOOK_XSL=http://docbook.sourceforge.net/release/xsl/current
 VERBOSE	:=
@@ -49,10 +56,9 @@
 UDEBA	:=	$(DEBM)/$(CODE)
 UDEBB	:=	$(DEBM)/experimental
 # language defaults
-LANGALL	:=	en ja fr it es de pt pt-br pl zh-tw zh-cn
-LANGPO	:=	   ja fr it       pt
+LANGALL	:=	en ja fr it pt
+LANGPO	:=	   ja fr it pt
 LANGNEW	:=
-LANGSGML =	$(filter-out en $(LANGPO), $(LANGALL))
 
 # remotely fetched data cached locally but removed for package
 DATASRCS:=      all-popcon-results.txt packages.txt packages.bkup.txt
@@ -78,11 +84,12 @@
 #######################################################################
 .PHONY: all package
 # Simpler target for easy debug.
-all: html css
+all:
+	$(MAKE) po
+	$(MAKE) html css
 
 # Target for package building
 package: html txt css
-	$(MAKE) -C sgml all PUBLISHDIR=$(PUBLISHDIR) "LANG_ALL=$(LANGSGML)"
 
 #######################################################################
 # Build all sources to html and text pages for web (DDP on alioth)  DDP
@@ -92,11 +99,7 @@
 # $(PUBLISHDIR) is set to be: /org/www.debian.org/www/doc/manuals for master-www
 publish:
 	-mkdir -p $(PUBLISHDIR)/debian-reference
-	-rm -f $(PUBLISHDIR)/reference
-	# For www.debian.org, relative symlink only
-	-ln -sf debian-reference $(PUBLISHDIR)/reference
-	$(MAKE) html txt css "PUBLISHDIR=$(PUBLISHDIR)/debian-reference"
-	$(MAKE) -C sgml all  "PUBLISHDIR=$(PUBLISHDIR)/debian-reference" "LANG_ALL=$(LANGSGML)"
+	$(MAKE) html txt css "PUBLISHDIR=$(PUBLISHDIR)/debian-reference" BUILD_MODE=web
 
 #######################################################################
 # Clean targets                                                     ALL
@@ -105,12 +108,11 @@
 
 clean:
 	-rm -f *.swp *~ *.tmp
-	-rm -f $(PODOC)/*~ $(ADOC)/*~
+	-rm -f $(PODOC)/*~ $(PODOC)/*.mo $(ADOC)/*~
 	-rm -rf html
 	-rm -f $(addsuffix .xml,      $(addprefix  $(DOCNAME)., $(LANGPO)))
 	-rm -f $(DOCNAME).en.xml
 	-rm -f $(DOCNAME).en.xmlt header.txt
-	$(MAKE) -C sgml clean "LANG_ALL=$(LANGSGML)" PUBLISHDIR=$(PUBLISHDIR)
 
 # Run distclean only for regenerating all locally cached data from remote
 #                          (and all raw XML from asciidoc for lenny@local)
@@ -150,7 +152,7 @@
 # So I put lenny version in this source tree.
 $(DOCNAME).raw.xml: $(SRC_ASC)
 	bin/asciidoc -a 'newline=\n' -o - $(ADOC)/$(DOCNAME).txt |\
-	sed -e "/<\/authorinitials>/r $(ADOC)/copyright.txt" |\
+	sed -e "/<\/author>/r $(ADOC)/copyright.txt" |\
 	xmllint --format -  |\
 	sed -f bin/replace > $@
 #=======================================================================#
@@ -248,14 +250,15 @@
 	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  $@
 	echo "<!ENTITY arch \"$(ARCH)\">"				>> $@
 	echo "<!ENTITY codename-stable   \"squeeze\">"			>> $@
+	echo "<!ENTITY Codename-stable   \"Squeeze\">"                  >> $@
 	echo "<!ENTITY codename-testing  \"wheezy\">"			>> $@
+	echo "<!ENTITY Codename-testing  \"Wheezy\">"                   >> $@
 	echo "<!ENTITY codename-nexttesting  \"wheezy+1\">"		>> $@
+	echo "<!ENTITY Codename-nexttesting  \"Wheezy+1\">"             >> $@
 	echo "<!ENTITY codename-unstable \"sid\">"			>> $@
+	echo "<!ENTITY Codename-unstable \"Sid\">"                      >> $@
 
 # Update URL list header from $(DOCNAME).raw.xml
 header.txt: $(ADOC)/header1.txt $(DOCNAME).raw.xml $(ADOC)/header2.txt
 	cat $(ADOC)/header1.txt >  $@
 	xsltproc --novalid $(VERBOSE) $(PXSLT)/urls.xsl $(DOCNAME).raw.xml | sort | uniq |\
-	sed -e "s/&/\&amp;/g"   >> $@
-	cat $(ADOC)/header2.txt >> $@
-

=== debian/changelog ===
debian-reference (2.47) unstable; urgency=low

  * Removed outdated (>2 years) translations in SGML and stopped 
    building them. Closes: #536547
  * Improved apt-get vs. aptitude. Closes: #604630
  * Fixed typos. Closes: #616699, #627546, #639173, #635600, #639749
  * Fixed example in "Compiling the kernel source". Closes: #623504
  * Added wpa-gui to list. Closes: #625199
  * Improved apt-pinning. Closes: #626433
  * Added NIS and winbind integration pointers. Closes: #626736
  * Made asciidoc conversion script into an internal customized one.
    It is stable for everyone.
  * Added a tip with bind-mount. Closes: #628458
  * Added disk space usage tip. Closes: #644061
  * Fixed cron and rsyslog references. Closes: #645372, #645375
  * Removed broadcast in /etc/network/interfaces . Closes: #648050
  * Removed oneko (title with mouse pointer) effect. Closes: #648045
  * Changed Japanese IM example from Anthy to MOZC. 

 -- Osamu Aoki <osamu@debian.org>  Wed, 23 Nov 2011 01:13:37 +0900

debian-reference (2.46) unstable; urgency=low

  * Updated Portguese translation by Américo Monteiro.

 -- Osamu Aoki <osamu@debian.org>  Sat, 11 Dec 2010 12:32:35 +0900

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 # Package building language choice
 #
 DOCNAME	:=	debian-reference
-LANGALL	:=	en ja fr it es de pt pt-br pl zh-tw zh-cn
-LANGPO	:=	   ja fr it       pt
+LANGALL	:=	en ja fr it pt
+LANGPO	:=	   ja fr it pt
 
 ## ----------------------------------------------------------------------
 ## Targets

## debian-reference 2.48

=== Makefile ===
--- 
+++ 
@@ -239,7 +239,7 @@
 	if ! [ -f packages.txt ]; then $(MAKE) packages.txt ; fi
 	if ! [ -f packages.bkup.txt ]; then $(MAKE) packages.bkup.txt ; fi
 	if ! [ -f pkg.lst ] || [ $(DOCNAME).raw.xml -nt pkg.lst ]; then $(MAKE) pkg.lst ; fi
-	$(PBIN)/sizeent packages.txt packages.bkup.txt < pkg.lst	> $@
+	sort pkg.lst | uniq | $(PBIN)/sizeent packages.txt packages.bkup.txt	> $@
 
 #########################################################################
 # XML file operations                                                 ALL

=== debian/changelog ===
debian-reference (2.48) unstable; urgency=low

  [ David Prévot ]
  * Prevent PO files to be deleted by mistake.

  [ Osamu Aoki ]
  * Fixed typos. Closes: #646313, #653745, #664250
  * Clarified family tree type in the filesystem description. 
    Closes: #619510
  * Clarified 127.0.1.1 in /etc/hosts. Closes: #654629 
  * Updated package names as much including gdm3. Closes: #649887
  * Explained PolicyKit and updated automount descriptions with udisks. 
    Closes: #650413 
  * Updated email configurations including SMTPS support 
    by exim4 4.77. Closes: #655016, #652994
  * Updated DHCP to isc-dhcp-client. Closes: #657860 
  * Updated to mention SSD tips. Closes: #649333
  * Updated contents on the init script, tmpfs, and ext4/Btrfs.
  * Updated kernel compile examples. Closes: #657587
  * Updated mc scripts. Closes: #661483
  * Droped afio.

 -- Osamu Aoki <osamu@debian.org>  Sun, 25 Mar 2012 21:52:21 +0900

## debian-reference 2.49

=== debian/changelog ===
debian-reference (2.49) unstable; urgency=low

  * Change the tone of description around non-free to cope with 
    the bug report #686481 based on the GNU perspective.
  * Document $TMPDIR and UUID in fstab. Closes: #669010, #662975
  * Update examples in tutorials. Closes: #677050
  * Update software lists with new LibreOffice, GNOME, KDE apps.
  * Update translations. (ja, fr, it, pt)

 -- Osamu Aoki <osamu@debian.org>  Sun, 28 Oct 2012 11:08:07 +0900

## debian-reference 2.50

=== Makefile ===
--- 
+++ 
@@ -113,6 +113,7 @@
 	-rm -f $(addsuffix .xml,      $(addprefix  $(DOCNAME)., $(LANGPO)))
 	-rm -f $(DOCNAME).en.xml
 	-rm -f $(DOCNAME).en.xmlt header.txt
+	-rm -rf ./tmp
 
 # Run distclean only for regenerating all locally cached data from remote
 #                          (and all raw XML from asciidoc for lenny@local)
@@ -249,16 +250,15 @@
 common.ent: $(SRC_XML)
 	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  $@
 	echo "<!ENTITY arch \"$(ARCH)\">"				>> $@
-	echo "<!ENTITY codename-stable   \"squeeze\">"			>> $@
-	echo "<!ENTITY Codename-stable   \"Squeeze\">"                  >> $@
-	echo "<!ENTITY codename-testing  \"wheezy\">"			>> $@
-	echo "<!ENTITY Codename-testing  \"Wheezy\">"                   >> $@
-	echo "<!ENTITY codename-nexttesting  \"wheezy+1\">"		>> $@
-	echo "<!ENTITY Codename-nexttesting  \"Wheezy+1\">"             >> $@
+	echo "<!ENTITY codename-stable   \"wheezy\">"			>> $@
+	echo "<!ENTITY Codename-stable   \"Wheezy\">"                  >> $@
+	echo "<!ENTITY codename-testing  \"jessie\">"			>> $@
+	echo "<!ENTITY Codename-testing  \"Jessie\">"                   >> $@
+	echo "<!ENTITY codename-nexttesting  \"jessie+1\">"		>> $@
+	echo "<!ENTITY Codename-nexttesting  \"Jessie+1\">"             >> $@
 	echo "<!ENTITY codename-unstable \"sid\">"			>> $@
 	echo "<!ENTITY Codename-unstable \"Sid\">"                      >> $@
 
 # Update URL list header from $(DOCNAME).raw.xml
 header.txt: $(ADOC)/header1.txt $(DOCNAME).raw.xml $(ADOC)/header2.txt
 	cat $(ADOC)/header1.txt >  $@
-	xsltproc --novalid $(VERBOSE) $(PXSLT)/urls.xsl $(DOCNAME).raw.xml | sort | uniq |\

=== debian/changelog ===
debian-reference (2.50) unstable; urgency=low

  * Update the backport archive URL. Closes: #701906 

 -- Osamu Aoki <osamu@debian.org>  Fri, 22 Mar 2013 22:48:21 +0900

=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Build-Depends-Indep: w3m, xsltproc, docbook-xsl, docbook-xml, po4a, python, locales-all | locales, debiandoc-sgml, libxml2-utils
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/quick-reference
Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/quick-reference/
Homepage: http://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference-common
Architecture: all
Depends: ${misc:Depends}
Suggests: mc, vim, w3m | www-browser
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This provides menu functionality and other common files.

Package: debian-reference
Architecture: all
Depends: ${misc:Depends}, debian-reference-en
Recommends: debian-reference-ja, debian-reference-fr, debian-reference-it, debian-reference-pt
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This installs all translations when "Recommends:" are installed.

Package: debian-reference-en
Architecture: all
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Suggests: doc-base
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The English original version.

Package: debian-reference-fr
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-fr
Replaces: quick-reference-fr
Description: Debian system administration guide, French translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The French translation.

Package: debian-reference-it
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-it
Replaces: quick-reference-it
Description: Debian system administration guide, Italian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Italian translation.

Package: debian-reference-ja
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-ja
Replaces: quick-reference-ja
Description: Debian system administration guide, Japanese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Japanese translation.

Package: debian-reference-pt
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Portuguese (Portugal) translation.
